Bug 250505 - RFE: Need to load AOLKey drivers and ESC software pre-login
RFE: Need to load AOLKey drivers and ESC software pre-login
Status: CLOSED WONTFIX
Product: Red Hat Certificate System
Classification: Red Hat
Component: ESC (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jack Magne
Chandrasekar Kannan
: FutureFeature
Depends On:
Blocks: 445047
  Show dependency treegraph
 
Reported: 2007-08-01 18:25 EDT by Issue Tracker
Modified: 2015-01-04 18:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 15:37:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2007-08-01 18:25:09 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2007-08-01 18:25:15 EDT
Description of problem:
Our remote employees need to be able to start their VPN and login to the AOL Windows domain before logging into the workstation. Logins to the VPN are restricted to AOLKey access only. Therefore, we need to be able to load the CoolKey drivers and ESC software before the user has logged into their workstation.


How reproducible:
100%

Steps to Reproduce:
Yea, only https://remote.aol.com will work on boot unless ESC and the associated token drivers are loaded prior to user login.  I tried putting ESC in the system start-up (HKEY_LOCAL_MACHINE) which is getting it to run but I think the OS is expecting a different flavor of smart card.  HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\SmartCard\\Redirector\\srcedir.dll is intercepting and crapping out when I insert the AOL Key.  

Additional info: Contact Tom Hash: tom.hash@corp.aol.com
This event sent from IssueTracker by mrhodes  [SEG - Certificate System Engineering]
 issue 125683
Comment 2 Issue Tracker 2007-08-01 18:25:18 EDT
attn seg:  this one is for the cert system guys in mountain view....



I can get as far as the customer.  I created a windows service for the
SmartCardManager.  It 'seems' to load up as a service ok, but I cannot
get any farther.  I suspect that this needs to go to
engineering...........

kent



Issue escalated to Support Engineering Group by: klamb@redhat.com.
Internal Status set to 'Waiting on SEG'

This event sent from IssueTracker by mrhodes  [SEG - Certificate System
Engineering]
 issue 125683

Note You need to log in before you can comment on or make changes to this bug.